Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.extensions
Class PSExtensionElementMapping

    java.lang.Object
      org.apache.fop.fo.ElementMapping
          org.apache.fop.render.ps.extensions.PSExtensionElementMapping

    public class PSExtensionElementMapping

extends ElementMapping

This class provides the element mapping for the PostScript-specific extensions.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping
`ElementMapping.Maker`

Field Summary
`static java.lang.String` | `NAMESPACE` Namespace for the extension

Fields inherited from class org.apache.fop.fo.ElementMapping
`DEFAULT, foObjs, namespaceURI`

Constructor Summary
`PSExtensionElementMapping()` Main constructor

Method Summary
`protected void` | `initialize()` Initializes the set of maker objects associated with this ElementMapping

Methods inherited from class org.apache.fop.fo.ElementMapping
`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getStandardPrefix, getTable, isAttributeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  Namespace for the extension

  See Also:
    Constant Field Values

Constructor Detail

### PSExtensionElementMapping

    public PSExtensionElementMapping()

  Main constructor

Method Detail

### initialize

    protected void initialize()

  Initializes the set of maker objects associated with this ElementMapping

  Specified by:
    `initialize` in class `ElementMapping`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.